Name:           qt5ct
Version:        1.8
Release:        1%{?dist}
Summary:        Qt5 Configuration Tool

License:        BSD
URL:            https://sourceforge.net/projects/qt5ct/
Source0:        https://downloads.sourceforge.net/qt5ct/qt5ct-%{version}.tar.bz2

Patch0:         0001-Wrap-forward-declaration-within-QT_NAMESPACE.patch
Patch1:         0002-build-refactor-CMake-build-rules.patch

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules

BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  qt5-linguist
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtbase-static
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qttools-devel
# qt5ct-qtplugin uses gui-private
BuildRequires:  qt5-qtbase-private-devel

%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}

%description
qt5ct allows users to configure Qt5 settings (theme, font, icons, etc.) under
DE/WM without Qt integration.

%prep
%autosetup -p2


%build
%cmake -DQT5CT_IN_TREE=ON
%cmake_build


%install
%cmake_install

%files
%license COPYING
%doc AUTHORS ChangeLog README
%lang(en) %{_qt5_translationdir}/qt5ct_en.qm
%lang(ru) %{_qt5_translationdir}/qt5ct_ru.qm
%lang(zh_CN) %{_qt5_translationdir}/qt5ct_zh_CN.qm
%lang(zh_TW) %{_qt5_translationdir}/qt5ct_zh_TW.qm
%lang(tr) %{_qt5_translationdir}/qt5ct_tr.qm
%lang(cs) %{_qt5_translationdir}/qt5ct_cs.qm
%lang(pt_BR) %{_qt5_translationdir}/qt5ct_pt_BR.qm
%lang(pt) %{_qt5_translationdir}/qt5ct_pt.qm
%lang(de) %{_qt5_translationdir}/qt5ct_de.qm
%lang(pl) %{_qt5_translationdir}/qt5ct_pl.qm
%lang(fr) %{_qt5_translationdir}/qt5ct_fr.qm
%lang(it) %{_qt5_translationdir}/qt5ct_it.qm
%lang(it_IT) %{_qt5_translationdir}/qt5ct_it_IT.qm
%lang(kk) %{_qt5_translationdir}/qt5ct_kk.qm
%lang(lt) %{_qt5_translationdir}/qt5ct_lt.qm
%lang(hu) %{_qt5_translationdir}/qt5ct_hu.qm
%lang(nl) %{_qt5_translationdir}/qt5ct_nl.qm
%lang(ja) %{_qt5_translationdir}/qt5ct_ja.qm
%lang(sk) %{_qt5_translationdir}/qt5ct_sk.qm
%lang(es_ES) %{_qt5_translationdir}/qt5ct_es_ES.qm
%lang(es) %{_qt5_translationdir}/qt5ct_es.qm
%lang(he) %{_qt5_translationdir}/qt5ct_he.qm
%lang(gl_ES) %{_qt5_translationdir}/qt5ct_gl_ES.qm
%lang(sr_BA) %{_qt5_translationdir}/qt5ct_sr_BA.qm
%lang(sr_RS) %{_qt5_translationdir}/qt5ct_sr_RS.qm
%lang(bg) %{_qt5_translationdir}/qt5ct_bg.qm
%lang(nl_NL) %{_qt5_translationdir}/qt5ct_nl_NL.qm
%lang(el) %{_qt5_translationdir}/qt5ct_el.qm
%lang(sr) %{_qt5_translationdir}/qt5ct_sr.qm
%lang(ca) %{_qt5_translationdir}/qt5ct_ca.qm
%lang(ar) %{_qt5_translationdir}/qt5ct_ar.qm
%lang(da) %{_qt5_translationdir}/qt5ct_da.qm
%lang(uk) %{_qt5_translationdir}/qt5ct_uk.qm
%lang(fi) %{_qt5_translationdir}/qt5ct_fi.qm
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*
%exclude %{_libdir}/libqt5ct-common.so
%{_libdir}/libqt5ct-common.so.1*
%{_qt5_plugindir}/platformthemes/libqt5ct.so
%{_qt5_plugindir}/styles/libqt5ct-style.so

%changelog
* Thu Aug 22 2024 Zephyr Lykos <fedora@mochaa.ws> - 1.8-1
- new version

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 30 2024 Jan Grulich <jgrulich@redhat.com> - 1.1-24
- Rebuild (qt5)

* Fri Mar 15 2024 Jan Grulich <jgrulich@redhat.com> - 1.1-23
- Rebuild (qt5)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 03 2024 Jan Grulich <jgrulich@redhat.com> - 1.1-20
- Rebuild (qt5)

* Mon Oct 09 2023 Jan Grulich <jgrulich@redhat.com> - 1.1-19
- Rebuild (qt5)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Jan Grulich <jgrulich@redhat.com> - 1.1-17
- Rebuild (qt5)

* Wed Apr 12 2023 Jan Grulich <jgrulich@redhat.com> - 1.1-16
- Rebuild (qt5)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jan 06 2023 Jan Grulich <jgrulich@redhat.com> - 1.1-14
- Rebuild (qt5)

* Mon Oct 31 2022 Jan Grulich <jgrulich@redhat.com> - 1.1-13
- Rebuild (qt5)

* Wed Sep 21 2022 Jan Grulich <jgrulich@redhat.com> - 1.1-12
- Rebuild (qt5)

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Jan Grulich <jgrulich@redhat.com> - 1.1-10
- Rebuild (qt5)

* Tue May 17 2022 Jan Grulich <jgrulich@redhat.com> - 1.1-9
- Rebuild (qt5)

* Tue Mar 08 2022 Jan Grulich <jgrulich@redhat.com> - 1.1-8
- Rebuild (qt5)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 23 2020 Rex Dieter <rdieter@fedoraproject.org> - 1.1-4
- .spec cosmetics, use %%make_build

* Mon Nov 23 07:55:05 CET 2020 Jan Grulich <jgrulich@redhat.com> - 1.1-3
- rebuild (qt5)

* Fri Sep 11 2020 Jan Grulich <jgrulich@redhat.com> - 1.1-2
- rebuild (qt5)

* Tue Aug 25 2020 Christian Dersch <lupinix@mailbox.org> - 1.1-1
- new version

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 20 2020 Christian Dersch <lupinix@fedoraproject.org> - 1.0-1
- new version

* Mon Apr 06 2020 Rex Dieter <rdieter@fedoraproject.org> - 0.38-9
- rebuild (qt5)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.38-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Dec 09 2019 Jan Grulich <jgrulich@redhat.com> - 0.38-7
- rebuild (qt5)

* Wed Sep 25 2019 Jan Grulich <jgrulich@redhat.com> - 0.38-6
- rebuild (qt5)

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.38-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 17 2019 Jan Grulich <jgrulich@redhat.com> - 0.38-4
- rebuild (qt5)

* Wed Jun 05 2019 Rex Dieter <rdieter@fedoraproject.org> - 0.38-3
- rebuild (qt5)

* Wed Apr 10 2019 Pete Walter <pwalter@fedoraproject.org> - 0.38-2
- rebuild (qt5)

* Fri Mar 29 2019 Christian Dersch <lupinix@fedoraproject.org> - 0.38-1
- new version

* Fri Mar 01 2019 Rex Dieter <rdieter@fedoraproject.org> - 0.35-8
- rebuild (qt5)

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.35-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Dec 12 2018 Rex Dieter <rdieter@fedoraproject.org> - 0.35-6
- rebuild (qt5)

* Fri Sep 21 2018 Jan Grulich <jgrulich@redhat.com> - 0.35-5
- rebuild (qt5)

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.35-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 20 2018 Rex Dieter <rdieter@fedoraproject.org> - 0.35-3
- rebuild (qt5)

* Sun May 27 2018 Rex Dieter <rdieter@fedoraproject.org> - 0.35-2
- rebuild (qt5)

* Wed Apr 18 2018 Christian Dersch - 0.35-1
- new version

* Wed Feb 14 2018 Jan Grulich <jgrulich@redhat.com> - 0.34-5
- rebuild (qt5)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.34-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Dec 20 2017 Jan Grulich <jgrulich@redhat.com> - 0.34-3
- rebuild (qt5)

* Mon Nov 06 2017 Rex Dieter <rdieter@fedoraproject.org> - 0.34-1
- qt5ct-0.34 is available (#1509757)

* Mon Oct 09 2017 Rex Dieter <rdieter@fedoraproject.org> - 0.33-2
- rebuild (qt5)

* Mon Aug 14 2017 Rex Dieter <rdieter@fedoraproject.org> - 0.33-1
- qt5ct-0.33 (#1450654)

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.31-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.31-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 19 2017 Rex Dieter <rdieter@fedoraproject.org> - 0.31-3
- rebuild (qt5)

* Sun May 07 2017 Christian Dersch <lupinix@mailbox.org> - 0.31-2
- Rebuilt for Qt 5.9 beta

* Mon Apr 10 2017 Christian Dersch <lupinix@mailbox.org> - 0.31-1
- new version

* Thu Mar 30 2017 Rex Dieter <rdieter@fedoraproject.org> - 0.30-2
- rebuild (qt5)

* Thu Feb 09 2017 Christian Dersch <lupinix@mailbox.org> - 0.30-1
- new version

* Wed Jan 25 2017 Christian Dersch <lupinix@mailbox.org> - 0.29-1
- new version

* Thu Nov 17 2016 Rex Dieter <rdieter@fedoraproject.org> - 0.27-2
- bump release

* Thu Nov 17 2016 Rex Dieter <rdieter@fedoraproject.org> - 0.27-1.2
- branch rebuild (qt5)

* Tue Oct 04 2016 Christian Dersch <lupinix@mailbox.org> - 0.27-1
- new version

* Tue Sep 06 2016 Christian Dersch <lupinix@mailbox.org> - 0.26-1
- new version

* Thu Aug 11 2016 Christian Dersch <lupinix@mailbox.org> - 0.25-1
- new version

* Sun Jul 17 2016 Rex Dieter <rdieter@fedoraproject.org> - 0.24-3
- rebuild (qt5-qtbase)

* Wed Jun 15 2016 Rex Dieter <rdieter@fedoraproject.org> - 0.24-2
- add versioned dependency on qtbase version used to build

* Thu Jun 02 2016 Christian Dersch <lupinix@mailbox.org> - 0.24-1
- new version

* Mon May 02 2016 Christian Dersch <lupinix@mailbox.org> - 0.23-1
- new version (0.23)

* Tue Mar 29 2016 Christian Dersch <lupinix@mailbox.org> - 0.22-1
- initial spec
